Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1CommandTypeDeclarationGet

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1CommandTypeDeclarationGet

Record Components:
  `fieldName` - The type name.

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1CommandTypeDeclarationGet(com.io7m.cedarbridge.runtime.api.CBString fieldName) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
Get a declared type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1CommandTypeDeclarationGet(com.io7m.cedarbridge.runtime.api.CBString fieldName)`
  Creates an instance of a `CAI1CommandTypeDeclarationGet` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1CommandTypeDeclarationGet`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1CommandTypeDeclarationGet.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandTypeDeclarationGet $x)`
  Serialize a value of type CAI1CommandTypeDeclarationGet.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1CommandTypeDeclarationGet

    public CAI1CommandTypeDeclarationGet(com.io7m.cedarbridge.runtime.api.CBString fieldName)
    Creates an instance of a `CAI1CommandTypeDeclarationGet` record class.
    Parameters:
      `fieldName` - the value for the `fieldName` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandTypeDeclarationGet $x) throws IOException
    Serialize a value of type CAI1CommandTypeDeclarationGet.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1CommandTypeDeclarationGet deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1CommandTypeDeclarationGet.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1CommandTypeDeclarationGet.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldName

    public com.io7m.cedarbridge.runtime.api.CBString fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component